/* -*- Mode: C++; indent-tabs-mode: nil; c-basic-offset: 2; tab-width: 2 -*- */

#ifndef _RINGBUFFER_H
#define _RINGBUFFER_H

#include <inttypes.h>
#include <string>

namespace fuppes
{

class Ringbuffer
{

  public:
    Ringbuffer(size_t size);
    ~Ringbuffer();

    void clear();

    size_t  spaceLeft() const;
    size_t  spaceFilled() const;

    size_t  read(unsigned char* data, size_t size);
    size_t  write(const unsigned char* data, size_t size);

    size_t  readPosition() { return m_read; }
    size_t  writePosition() { return m_write; }

  private:
    size_t           m_size;
    unsigned char*   m_buffer;

    bool              m_empty;
    size_t            m_read;
    size_t            m_write;

};


}


#endif // _RINGBUFFER_H
